"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CliSnippet = void 0;
const classnames_1 = __importDefault(require("classnames"));
const react_1 = __importStar(require("react"));
const ansi_to_html_1 = __importDefault(require("ansi-to-html"));
const html_escaper_1 = require("html-escaper");
const cli_snippet_module_scss_1 = __importDefault(require("./cli-snippet.module.scss"));
const colors = {
    0: '#000',
    1: '#F55',
    2: '#30BD6D',
    3: '#FFC640',
    4: '#5a5afb',
    5: '#A0A',
    6: '#0AA',
    7: '#AAA',
    8: '#848586',
    9: '#F55',
    10: '#5F5',
    11: '#FFC640',
    12: '#55F',
    13: '#F5F',
    14: '#5FF',
    15: '#EDEDED',
};
function CliSnippet(_a) {
    var { content, className } = _a, rest = __rest(_a, ["content", "className"]);
    const snippetContent = react_1.useMemo(() => convertSnippetContent(content), [content]);
    return (react_1.default.createElement("div", Object.assign({}, rest, { className: classnames_1.default(cli_snippet_module_scss_1.default.log, className) }), snippetContent &&
        snippetContent.map((line, index) => {
            return (react_1.default.createElement("div", { key: index },
                react_1.default.createElement("pre", { className: cli_snippet_module_scss_1.default.pre },
                    react_1.default.createElement("div", { className: cli_snippet_module_scss_1.default.block },
                        react_1.default.createElement("span", { className: cli_snippet_module_scss_1.default.line, dangerouslySetInnerHTML: { __html: line } })))));
        })));
}
exports.CliSnippet = CliSnippet;
function convertSnippetContent(content) {
    if (!content)
        return null;
    const convert = new ansi_to_html_1.default({ colors });
    return content.split('\n').map((line) => convert.toHtml(html_escaper_1.escape(line)));
}
//# sourceMappingURL=cli-snippet.js.map